## geoclue-error geoclue-error |

## Functions

#define | GEOCLUE_ERROR
GQuark | geoclue_error_quark ()

## Types and Values

enum | GeoclueError
#define | GEOCLUE_ERROR_DBUS_INTERFACE

## Object Hierarchy

        GEnum
        ╰── GeoclueError

## Description

## Functions

### GEOCLUE_ERROR

    #define GEOCLUE_ERROR (geoclue_error_quark ())

### geoclue_error_quark ()

    GQuark
    geoclue_error_quark (void);

#### Returns

## Types and Values

### enum GeoclueError

Error values for providers.

#### Members

GEOCLUE_ERROR_NOT_IMPLEMENTED | Method is not implemented |
GEOCLUE_ERROR_NOT_AVAILABLE | Needed information is not currently available (e.g. web service did not respond) |
GEOCLUE_ERROR_FAILED | Generic fatal error |

### GEOCLUE_ERROR_DBUS_INTERFACE

    #define GEOCLUE_ERROR_DBUS_INTERFACE "org.freedesktop.Geoclue.Error"